
function Skinner:Recount()

-->>-- Hook this to get window objects
	local rw, dgw
	self:SecureHook(Recount, "AddWindow", function(this, window)
--		self:Debug("R_AW: [%s, %s, %s]", this, window, window.Title:GetText())
		if window.Title:GetText() == "Reset Recount?" then rw = window end
		if window.Title:GetText() == "Death Graph" then dgw = window end
		end)

-->>-- Main Window
	self:moveObject(Recount.MainWindow.Title, nil, nil, "+", 8, Recount.MainWindow)
	self:moveObject(Recount.MainWindow.CloseButton, nil, nil, "+", 8, Recount.MainWindow)
	self:moveObject(Recount.MainWindow.LeftButton, nil, nil, "+", 8, Recount.MainWindow)
	self:keepFontStrings(Recount.MainWindow.ScrollBar)
	self:skinScrollBar(Recount.MainWindow.ScrollBar)
	self:applySkin(Recount.MainWindow)
-->>-- Detail Window
	self:moveObject(Recount_DetailWindow.Title, nil, nil, "+", 8, Recount_DetailWindow)
	self:moveObject(Recount_DetailWindow.CloseButton, nil, nil, "+", 8, Recount_DetailWindow)
	self:moveObject(Recount_DetailWindow.LeftButton, nil, nil, "+", 8, Recount_DetailWindow)
	self:applySkin(Recount_DetailWindow)
-->>-- Graph Window
	self:moveObject(Recount_GraphWindow.Title, nil, nil, "+", 8, Recount_DetailWindow)
	self:keepFontStrings(Recount_GraphWindow_ScrollBar1)
	self:skinScrollBar(Recount_GraphWindow_ScrollBar1)
	self:keepFontStrings(Recount_GraphWindow_ScrollBar2)
	self:skinScrollBar(Recount_GraphWindow_ScrollBar2)
	self:applySkin(Recount_GraphWindow, true)
-->>-- Config Window	
	self:SecureHook(Recount, "ShowConfig", function()
		self:moveObject(Recount_ConfigWindow.Title, "+", 10, "+", 8)
		self:moveObject(Recount_ConfigWindow.CloseButton, nil, nil, "+", 8)
		self:applySkin(Recount_ConfigWindow)
		self:Unhook(Recount, "ShowConfig")
		end)
-->>-- Report Window
	self:SecureHook(Recount, "ShowReport", function(this, Title, ReportFunc)
		self:moveObject(Recount_ReportWindow.Title, "+", 10, "+", 8)
		self:moveObject(Recount_ReportWindow.CloseButton, nil, nil, "+", 8)
		self:skinEditBox(Recount_ReportWindow.Whisper, {9})
		self:moveObject(Recount_ReportWindow.Whisper, "-", 6, "-", 6)
		self:applySkin(Recount_ReportWindow)
		self:Unhook(Recount, "ShowReport")
		end)
-->>-- DeathGraph Window
	self:SecureHook(Recount, "ShowDeathGraph", function(this, Health, Heals, Hits)
		if dgw then
			self:moveObject(dgw.Title, "+", 10, "+", 8, dgw)
			self:moveObject(dgw.CloseButton, nil, nil, "+", 8, dgw)
			self:applySkin(dgw)
		end
		self:Unhook(Recount, "ShowDeathGraph")
		end)
	
-->>-- Reset window
	self:SecureHook(Recount, "ShowReset", function()
		if rw then
			rw:SetHeight(rw:GetHeight() + 4)
			self:moveObject(rw.Title, nil, nil, "+", 8, rw)
			self:applySkin(rw)
		end
		self:Unhook(Recount, "ShowReset")
		end)
	
end
