
function Skinner:Waterfall()

	self:SecureHook(AceLibrary("Waterfall-1.0"), "Open", function(id, pane)
--		self:Debug("WaterfallOpen: [%s, %s]", id, pane)
		local wfinfo = AceLibrary("Waterfall-1.0").registry[pane]
		self:Skin_Waterfall(wfinfo.frame)
		end)

end

local waterfallsSkinned = {}

function Skinner:Skin_Waterfall(frame)

	local scrollframe
	local scrollbar
	if not waterfallsSkinned[frame] then 
		-- Main Frame
		frame.titlebar:Hide()
		frame.titlebar2:Hide()
		self:applySkin(frame.frame)
		-- Treeview Frame
		scrollframe = self:getChild(frame.treeview.frame, 1)
		scrollbar   = self:getChild(scrollframe, 2)
		self:skinScrollBar(scrollframe, nil, scrollbar)
		self:applySkin(frame.treeview.frame)
		-- Mainpane Frame
		scrollframe = self:getChild(frame.mainpane.frame, 1)
		scrollbar   = self:getChild(scrollframe, 2)
		self:skinScrollBar(scrollframe, nil, scrollbar)
		self:getRegion(frame.mainpane.frame, 11):Hide()
		self:getRegion(frame.mainpane.frame, 12):Hide()
		self:applySkin(frame.mainpane.frame)
		waterfallsSkinned[frame] = true
	end
	
end
